/*
 * Copyright 2011 Timothy Sparg
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kilnhg.timsparg.juniorkilndomain;

/**
 *The record contains the keys:
 *
 *ixPerson: a unique person identifier
 *sName: the person's name
 *sEmail: the person's email address
 *
 *@author Tim Sparg
 */
public class Person {

    private int ixPerson;
    private String sName;
    private String sEmail;

    /**
     * 
     * @return a unique person identifier
     */
    public int getIxPerson() {
        return ixPerson;
    }

    /*
     * Sets the unique person identifier
     */
    public void setIxPerson(int ixPerson) {
        this.ixPerson = ixPerson;
    }

    /**
     * 
     * @returns the person's email address
     */
    public String getsEmail() {
        return sEmail;
    }

    /**
     * Sets the persons email Address
     * 
     * @param sEmail 
     */
    public void setsEmail(String sEmail) {
        this.sEmail = sEmail;
    }

    /**
     * 
     * @return the person's name
     */
    public String getsName() {
        return sName;
    }

    /**
     * Sets the persons name
     * 
     * @param sName 
     */
    public void setsName(String sName) {
        this.sName = sName;
    }

    @Override
    public String toString() {
        return "Person{" + "ixPerson=" + ixPerson + ";sName=" + sName
                + ";sEmail=" + sEmail + '}';
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Person other = (Person) obj;
        if (this.ixPerson != other.ixPerson) {
            return false;
        }
        if ((this.sName == null) ? (other.sName != null) : !this.sName.equals(other.sName)) {
            return false;
        }
        if ((this.sEmail == null) ? (other.sEmail != null) : !this.sEmail.equals(other.sEmail)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 37 * hash + this.ixPerson;
        return hash;
    }
}
